Subject: RE: [Iptel] Re: Scope of *rn* parameter in the context of LNP

From: "Chaidez, Fidencio (Fidencio)" <[email-masked]>
Date: Fri, 8 Apr 2005 12:37:30 -0500

James, Gonzalo:
You should proceed carefully.  The npdi (without the "=yes")
syntax has been around in drafts for quite a while and, I'm sure,
has been widely implemented.  T1.679 (the U.S. equivalent
of Q.1912.5), like RFC 3398, made the mistake of referencing
this parameter even though it had not reached RFC status yet,
but it did so based on more recent drafts that showed the
npdi parameter by itself.  Should allow for more discussion.
Regards,
Fidencio

-----Original Message-----
From: Gonzalo Camarillo [mailto:[email-masked]]
Sent: Friday, April 08, 2005 7:09 AM
To: Yu, James
Cc: [email-masked]; Peterson, Jon; [email-masked]
Subject: [Iptel] Re: Scope of *rn* parameter in the context of LNP

If that is the only reason for the change and the change causes a 
backward compatibility issue with RFC 3398, I would say that we keep the 
npdi=yes syntax.

Gonzalo

Yu, James wrote:
> It is simpler to use the presence of “npdi” to indicate “yes”.
> --------------------------
> Sent from my BlackBerry Wireless Handheld
> 
> 
> -----Original Message-----
> From: Gonzalo Camarillo <[email-masked]>
> To: Yu, James <[email-masked]>
> CC: [email-masked] <[email-masked]>; [email-masked] 
> <[email-masked]>; Peterson, Jon <[email-masked]>
> Sent: Sat Apr 02 01:25:35 2005
> Subject: Re: Scope of *rn* parameter in the context of LNP
> 
> James,
> 
> what was the reason for moving from "npdi=yes" to only "npdi"?
> 
> Thanks,
> 
> Gonzalo
> 
> Yu, James wrote:
>  > Chelliah,
>  > 
>  > I checked RFC3398.   Yes, you detected an inconsistency between RFC3398
>  > and my I-D.
>  > 
>  > RFC3398 references my I-D that is not yet a RFC.   My current I-D does
>  > not use "npdi=yes" (just "npdi") and the "rn" is either a global-rn
>  > (global routing number)  or local-rn (e.g., national number with +1 in
>  > the rn-context).
>  > 
>  > RFC3398 needs to be corrected.
>  > 
>  > James
>  >
>  >     -----Original Message-----
>  >     *From:* Chelliah Sivachelvan (chelliah) [mailto:[email-masked]]
>  >     *Sent:* Wednesday, March 30, 2005 12:05 PM
>  >     *To:* [email-masked]; Yu, James
>  >     *Cc:* [email-masked]; [email-masked]; Peterson, Jon
>  >     *Subject:* RE: Scope of *rn* parameter in the context of LNP
>  >
>  >     Correction: The referenced RFC is 3398 not 3388.
>  >     
>  >     Thanks!
>  >     Chella
>  >
>  >     
> ------------------------------------------------------------------------
>  >     *From:* Chelliah Sivachelvan (chelliah) [mailto:[email-masked]]
>  >     *Sent:* Wednesday, March 30, 2005 11:00 AM
>  >     *To:* [email-masked]'
>  >     *Cc:* [email-masked]'; [email-masked]';
>  >     [email-masked]'
>  >     *Subject:* Scope of *rn* parameter in the context of LNP
>  >
>  >     James:
>  >     The current draft (draft-ietf-iptel-tel-np-04.txt) implies that the
>  >     *rn* parameter can contain global numbers (i.e., E.164 numbers) in
>  >     the context of LNP. This has also been illustrated in one of the
>  >     examples in section 6(c).
>  >     
>  >     But the scope of LNP is national; as such the scope of routing
>  >     number (LRN) is not a globally reachable number. Therefore, it must
>  >     be treated as a national number. RFC-3388 also makes a strong
>  >     statement on this very subject. Here is the excerpts from RFC-3388
>  >     (section 8.2.1.1 )
>  >     
>  >        "LRNs are necessarily national in scope, and consequently they
>  >     MUST NOT be preceded by a '+' in the 'rn=' field."
>  >     
>  >     
>  >     We need to resolve the discrepancies between the two specs.
>  >     
>  >      
>  >     Thanks!
>  >     Chella
>  >                
>  >     
>  >     Cisco Systems,
>  >     2200 East President George Bush Turnpike ,
>  >     Richardson, TX 75082
>  >     Tel: 469.255.1169
>  >     
> 

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel

---

From: "Yu, James" <[email-masked]>
Date: Wed, 13 Apr 2005 04:28:12 -0400

I suggest that we don't change anything in the current NP I-D.   This is because RFC3398 needs to correct the "rn" part and there are implementations/standards that follow the latest version of the NP I-D.

James

-----Original Message-----
From: Chaidez, Fidencio (Fidencio) [mailto:[email-masked]]
Sent: Friday, April 08, 2005 1:38 PM
To: 'Gonzalo Camarillo'; Yu, James
Cc: [email-masked]; Peterson, Jon; [email-masked]
Subject: RE: [Iptel] Re: Scope of *rn* parameter in the context of LNP

James, Gonzalo:

-----Original Message-----
From: Gonzalo Camarillo [mailto:[email-masked]]
Sent: Friday, April 08, 2005 7:09 AM
To: Yu, James
Cc: [email-masked]; Peterson, Jon; [email-masked]
Subject: [Iptel] Re: Scope of *rn* parameter in the context of LNP

Gonzalo

Yu, James wrote:
> It is simpler to use the presence of "npdi" to indicate "yes".